[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Almost decent working standard packaged emacspeak/eflite on Debian 7.2



Hi Tim.  Remarks below...

Tim Cross <tcross@une.edu.au> writes:

> I agree. I use to have problems with pulse audio and speak, but that
> was some time ago with earlier versions of pulse audio which had
> problems with some sound cards - particularly emu10k1 based cards. I
> also found that speak worked much better provided it was compiled to
> use pulse audio rather than port audio.

Upon first installing Debian on this new laptop, I went ahead with the
full graphical install and that did include Pulse Audio and whatever
else.  And then was intrigued with Orca and enabled it but found it to
be utterly useless and at this point,. emacspeak didn't work at all or
worked for just a few seconds and thus the box not going to be useful.

Running emacspeak is priority #1 and so I went ahead with the same
procedure that got eflite working satisfactorily on setting up another
laptop a few years earlier.  This was to remove Pulse Audio from the
system with no regard for whatever else would stop working along with
it.

In fact, the Gnome desktop packages are still installed but no longer
configured to start at boot due to them being retained for good measure
but os of little value to me.

The aforementioned brute-force approach did result in the emacspeak
working well enough to begin using.

> Although removing all pulseaudio from the system is an option, I would
> not recommend it. Like it or not, it is the direction that Linux has
> decided to take for sound infrastructure and you will find increasing
> difficulty and loss of functionality without pulseaudio installed.

Agreed but as already mentioned, emacspeak was the priority and anything
else that was working too just an added bonus.

As a user of both a Mac with Voice Over and a Jaws/Windows system, I'm
skeptical that the graphical Linux environment is anywhere close to
overall functionality of these other 2 but will be glad to realize my
assumption is wrong... not even going to try finding out as long as they
conflict with emacspeak.

> I do think that pulseaudio can be a bit of a resource hog and it
> certainly seems to perform much better on 64 bit systems than 32
> bit. Therefore, I would only consider removing pulseaudio on older and
> slower hardware.
>
> As to eflite, I'm not sure how well it is being maintained. Most
> people seem to have gone with eSpeak rather than flite. I would
> suggest trying eSpeak and see if that works better for you. However,
> my favourite speech server for Linux is still 32 bit ViaVoice. While
> this can be a bit of a pain to get working on a 64 bit system, it is
> not too bad - especially if you use the oralux package, which only
> costs a couple of dollars.

I'll take that advice and try setting up espeak though it will require
me to install and probably build from source, something I'm not
unfamiliar with but is a path of greater resistance.

I did once a few years ago explore one of those Vinux distros but
aborted  after some difficulties that I don't remember and just at that
time ran on a much older laptop, also with eflite that was somewhat
unstable and after nuking Pulse Audio.

I can scarcely justify the time it may take to deep dive this sort of
issue, preferring to be just flat out productive which is what my
employer reasonably expects.

At any rate, if I do make an interesting discovery that may be of
interest to this community, I'll report on here with same. 

Thanks

> Tim
>
> --
> Tim Cross
> IT Security Manager, Information Technology
> University of New England
> Armidale N.Sl.W. 2350
>
> Email: tcross@une.edu.au
> Phone: +61 2 6773 3210
> Mobile: +61 428 212 217
>
> On 07/11/2013, at 6:34 AM, Christopher Chaltain <chaltain@gmail.com> wrote:
>
>> I use eSpeak with Emacspeak and PulseAudio with no trouble. I used to compile eSpeak from source to use PulseAudio without going through PortAudio, but with Vinux 4, I no longer need to do this. I don't think there's a problem with PulseAudio and the eSpeak Emacspeak server. I think the issue lies in eSpeak when it's configured to go through PortAudio to get to PulseAudio.
>> 
>> 
>> On 11/06/2013 01:08 PM, Alex Midence wrote:
>>> You using Pulse Audio?  That sounds a lot like what Pulse Audio does to the
>>> Espeak speech server for Emacspeak.  I'm running Debian 7 as well and I just
>>> made absolutely sure my system was pulse free by doing some very painstaking
>>> and time-consuming installation wizardry but, because I did that, I stopped
>>> having trouble such as you described with the Espeak server.  Perhaps, a
>>> similar approach/solution will work with eflite?
>>> 
>>> Alex M
>>> 
>>> -----Original Message-----
>>> From: Jerry Sievers [mailto:gsievers19@comcast.net]
>>> Sent: Wednesday, November 06, 2013 12:57 PM
>>> To: emacspeak@cs.vassar.edu
>>> Subject: Almost decent working standard packaged emacspeak/eflite on Debian
>>> 7.2
>>> 
>>> Hi list.  I've been running emacspeak happily since about the year 2000,.
>>> starting out on ViaVoice outloud and then eflite.
>>> 
>>> Eflite has become less reliable over time and I presume might not even be
>>> well supported lately, if at all.
>>> 
>>> Anyway, recently upgraded to a fresh Debian on Toshiba laptop and was
>>> pleased that all the standard packaged emacspeak goodies did work straight
>>> out of the box.
>>> 
>>> There is a problem however that is a nuisance but one that I've seen
>>> previously and just always tolerated.  I felt like asking  the brain-trust
>>> here  though in case there's an easy fix.
>>> 
>>> Basically, the eflite driver or flite synth itself just plain chokes
>>> frequently and requires a restart.
>>> 
>>> I do not encounter the problem in top-down reading of larger chunks of text
>>> but it happens frequently when arrowing around.
>>> 
>>> Literally, it's like Mr. Eflite choked on a big piece of steak and his wind
>>> pipe closed entirely.  It happens sometimes on text input as well and in
>>> fact I had to restart once while writing this.
>>> 
>>> Relevant versions shown below.
>>> 
>>> Anyone else who's ran across this and found a reliable fix or workaround,
>>> please advise.
>>> 
>>> Emacspeak 29.0
>>> 
>>> GNU Emacs 23.4.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.10) of 2012-09-08
>>> on trouble, modified by Debian
>>> 
>>> $ cat /etc/debian_version
>>> 7.2
>>> 
>>> $ eflite --version
>>> Eflite 0.4.1
>>> 
>>> $ flite --version
>>>   Carnegie Mellon University, Copyright (c) 1999-2009, all rights reserved
>>>   version: flite-1.4-release December 2009 (http://cmuflite.org)
>>> 
>>> 
>>> Thank you
>>> 
>>> --
>>> Jerry Sievers
>>> e: gsievers19@comcast.net
>>> p: 312.241.7800
>>> 
>>> ----------------------------------------------------------------------------
>>> -
>>> To unsubscribe from the emacspeak list or change your address on the
>>> emacspeak list send mail to "emacspeak-request@cs.vassar.edu" with a subject
>>> of "unsubscribe" or "help".
>>> 
>>> 
>>> -----------------------------------------------------------------------------
>>> To unsubscribe from the emacspeak list or change your address on the
>>> emacspeak list send mail to "emacspeak-request@cs.vassar.edu" with a
>>> subject of "unsubscribe" or "help".
>>> 
>> 
>> -- 
>> Christopher (CJ)
>> chaltain at Gmail
>> 
>> -----------------------------------------------------------------------------
>> To unsubscribe from the emacspeak list or change your address on the
>> emacspeak list send mail to "emacspeak-request@cs.vassar.edu" with a
>> subject of "unsubscribe" or "help".
>> 
>

-- 
Jerry Sievers
e: gsievers19@comcast.net
p: 312.241.7800

-----------------------------------------------------------------------------
To unsubscribe from the emacspeak list or change your address on the
emacspeak list send mail to "emacspeak-request@cs.vassar.edu" with a
subject of "unsubscribe" or "help".



If you have questions about this archive or had problems using it, please send mail to:

priestdo@cs.vassar.edu No Soliciting!

Emacspeak List Archive | 2010 | 2009 | 2008 | 2007 | 2006 | 2005 | 2004 | 2003 | 2002 | 2001 | 2000 | 1999 | 1998 | Pre 1998

Emacspeak Files | Emacspeak Blog | Search the archive